# Uses of Class
org.springframework.web.servlet.resource.ResourceHttpRequestHandler

Packages that use ResourceHttpRequestHandler
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.
org.springframework.web.servlet.resource
Support classes for serving static resources.

## Uses of ResourceHttpRequestHandler in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation that return ResourceHttpRequestHandler
Modifier and Type
Method
Description
`protected ResourceHttpRequestHandler`
ResourceHandlerRegistration.`getRequestHandler()`
Return a `ResourceHttpRequestHandler` instance.

## Uses of ResourceHttpRequestHandler in org.springframework.web.servlet.resource

Methods in org.springframework.web.servlet.resource that return types with arguments of type ResourceHttpRequestHandler
Modifier and Type
Method
Description
`Map<String,ResourceHttpRequestHandler>`
ResourceUrlProvider.`getHandlerMap()`
Return the resource mappings, either manually configured or auto-detected when the Spring `ApplicationContext` is refreshed.
Method parameters in org.springframework.web.servlet.resource with type arguments of type ResourceHttpRequestHandler
Modifier and Type
Method
Description
`void`
ResourceUrlProvider.`setHandlerMap(Map<String,ResourceHttpRequestHandler> handlerMap)`
Manually configure the resource mappings.